uniform sampler2D u_texture; 

varying lowp vec4 v_color; 
varying vec2 v_texCoords; 

void main() 
{ 
	vec4 textureColor = texture2D(u_texture, v_texCoords);
	float gray = dot(textureColor.rgb, vec3(0.299, 0.587, 0.114));
	vec3 color = v_color.rgb * vec3(gray, gray, gray);

	gl_FragColor = vec4(color.rgb, textureColor.a * v_color.a);
}
